package com.lightinit.hsdataportal.model;

import com.lightinit.hsdataportal.entity.BaseExample;

import java.util.Date;

public class MyMicroappApplySearchModel extends BaseExample {
    private Long id;
    private String resourceName;
    private Date applyTime;/*申请时间*/
    private Long restTimes;/*剩余次数*/
    private String openType;/*开放类型*/
    private String auditResult;/*状态  审核结果*/
    private String url;/*接入地址*/
    private String platformType ;
    private Long applyBy;
    private String resourceType ;

    public Long getApplyBy() {
        return applyBy;
    }

    public void setApplyBy(Long applyBy) {
        this.applyBy = applyBy;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getPlatformType() {
        return platformType;
    }

    public void setPlatformType(String platformType) {
        this.platformType = platformType;
    }

    public String getResourceType() {
        return resourceType;
    }

    public void setResourceType(String resourceType) {
        this.resourceType = resourceType;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public Date getApplyTime() {
        return applyTime;
    }

    public void setApplyTime(Date applyTime) {
        this.applyTime = applyTime;
    }

    public Long getRestTimes() {
        return restTimes;
    }

    public void setRestTimes(Long restTimes) {
        this.restTimes = restTimes;
    }

    public String getOpenType() {
        return openType;
    }

    public void setOpenType(String openType) {
        this.openType = openType;
    }

    public String getAuditResult() {
        return auditResult;
    }

    public void setAuditResult(String auditResult) {
        this.auditResult = auditResult;
    }
}
